petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatPartitioningPTScotchSetImbalance

Sets the value of the load imbalance ratio to be used during strategy selection.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningPTScotchSetImbalance(MatPartitioning part,PetscReal imb)

Collective on MatPartitioning Many br

### Input Parameters

| part | - the partitioning context Many br
| imb | - the load imbalance ratio Many br

### Options Database

-mat_partitioning_ptscotch_imbalance <imb> - Many brNote: Many brMust be in the range [0,1]. The default value is 0.01. Many br

Many br

### See Also

MatPartitioningPTScotchSetStrategy(), MatPartitioningPTScotchGetImbalance()

Level:advanced
Location:src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages